import { axios } from '@/utils/request'
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE

export const importUrl = serviceName + '/vehicle_type/batchImportVehicleType'
export const mainDownUrl = serviceName + '/vehicle_type/download_template'

// 主表地址
export const listRemoteUrl = {
  url: serviceName+'/vehicle_type/paging_query',
  method: 'post',
}

// 启用/停用
export const WhetherToEnable = (data) => {
  return axios.post(serviceName+'/vehicle_type/whether_to_enable', data)
}

// 删除
export const Delete = (data) => {
  return axios.post(serviceName+'/vehicle_type/delete', data)
}

// 新增
export const Add = (data) => {
  return axios.post(serviceName+'/vehicle_type/add', data)
}

// 修改
export const Update = (data) => {
  return axios.post(serviceName+'/vehicle_type/modify', data)
}

// 查看
export const View = (data) => {
  return axios.post(serviceName+'/vehicle_type/check', data)
}
